#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&header($text{'scan_title'}, "");

$proscan_conf = get_config();

print "<br>\n";
print "<form method=POST action=file_scan_save.cgi>\n";
print "<table border=0 width=100% cellpadding=0 cellspacing=0><tr><td width=50% valign=top>\n";
print_table_header($text{"scan_obj_sec"},"#scan_obj");

print "		<tr $section_row_bgcolor><td nowrap colspan=3>\n";
print_opt_name($text{"scan_exclude"});
print "		</td></tr>\n";
print "		<tr $section_row_bgcolor><td></td><td>\n";
print_editbox("s_excl",60,$proscan_conf->{'common'}{'scanner.object'}{'content'}{'ExcludeMask'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap colspan=3>\n";
print_opt_name($text{"scan_include"});
print "		</td></tr>\n";
print "		<tr $section_row_bgcolor><td></td><td>\n";
print_editbox("s_incl",60,$proscan_conf->{'common'}{'scanner.object'}{'content'}{'IncludeMask'});
print "		</td></tr>\n";

&print_check_element($text{"scan_rec"}, "s_rec", $proscan_conf->{'common'}{'scanner.options'}{'content'}{'Recursion'});
&print_check_element($text{"scan_sym"}, "s_sym", $proscan_conf->{'common'}{'scanner.options'}{'content'}{'Symlink'});

print "		<tr $section_row_bgcolor><td nowrap colspan=3>\n";
print_opt_name($text{"scan_level"});
print "		</td></tr>\n";
print "		<tr $section_row_bgcolor><td></td><td>\n";
$level = $proscan_conf->{'common'}{'scanner.object'}{'content'}{'ScanLevel'};
#print "level=$level<br>\n";
print_bit_checkbox($text{"scan_level_1"},"s_level",$level,1);
print "<br>\n";
print_bit_checkbox($text{"scan_level_2"},"s_level",$level,2);
print "<br>\n";
print_bit_checkbox($text{"scan_level_4"},"s_level",$level,4);
print "<br>\n";
print_bit_checkbox($text{"scan_level_8"},"s_level",$level,128);
print "<br>\n";
print "		</td></tr>\n";

print_table_footer();

print "</td><td width=10 valign=top>\n";
print "<img src=\"images/null.gif\" width=10 height=1>\n";
print "</td><td width=50% valign=top>\n";

print_table_header($text{"scan_scan_sec"},"#scan_scan");

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"scan_action"});
print "		</td><td align=left colspan=2>\n";

print_select("s_act", 1, ['none','move','delete'], 
		[$text{"scan_action_none"},
		 $text{"scan_action_move"},
		 $text{"scan_action_delete"}],
		 $proscan_conf->{'common'}{'scanner.object'}{'content'}{'MatchAction'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"scan_save_dir"});
print "		</td><td align=left>\n";
print_editbox("s_save",50,$proscan_conf->{'common'}{'scanner.options'}{'content'}{'SaveDirectory'});
print "		</td><td width=100%>\n&nbsp;", &file_chooser_button("s_save", 0);
print "		</td></tr>\n";

&print_act_element($text{"scan_timeout"}, 's_time', 10, $proscan_conf->{'common'}{'scanner.options'}{'content'}{'MaxScanTime'});
&print_act_element($text{"scan_maxrecursion"}, 's_mrec', 10, $proscan_conf->{'common'}{'scanner.options'}{'content'}{'MaxRecursion'});
&print_act_element($text{"scan_maxsize"}, 's_msize', 20, $proscan_conf->{'common'}{'scanner.options'}{'content'}{'MaxSize'});
&print_act_element($text{"scan_maxratio"}, 's_mrat', 10, $proscan_conf->{'common'}{'scanner.options'}{'content'}{'MaxRatio'});
&print_act_element($text{"scan_readtimeout"}, 's_rt', 10, $proscan_conf->{'common'}{'scanner.options'}{'content'}{'ReadTimeout'});
&print_act_element($text{"scan_limitrecursion"}, 'limit_recu', 10, $proscan_conf->{'common'}{'scanner.options'}{'content'}{'MaxCheckLevel'});

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"scan_archive"});
print "		</td><td align=left colspan=2>\n";
print_checkbox("s_archive", $proscan_conf->{'common'}{'scanner.options'}{'content'}{'ArchiveScan'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"scan_mailbox"});
print "		</td><td align=left colspan=2>\n";
print_checkbox("s_mailbox", $proscan_conf->{'common'}{'scanner.options'}{'content'}{'MailboxScan'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"scan_repair"});
print "		</td><td align=left colspan=2>\n";
print_checkbox("repair", $proscan_conf->{'common'}{'scanner.options'}{'content'}{'RepairFile'});
print "		</td></tr>\n";

print_table_footer();
print "</td></tr>\n";


print "<tr><td width=50% valign=top><br>\n";
print_table_header($text{"scan_report_sec"},"#scan_report");

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"scan_log_file"});
print "		</td><td align=left>\n";
print_editbox("s_log_f",50,$proscan_conf->{'common'}{'scanner.report'}{'content'}{'ReportFileName'});
print "		</td><td width=100%>\n&nbsp;", &file_chooser_button("s_log_f", 0);
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"scan_log_level"});
print "		</td><td align=left colspan=2>\n";
$level = $proscan_conf->{'common'}{'scanner.report'}{'content'}{'ReportLevel'};
#print "level=$level<br>\n";
print_bit_checkbox($text{"scan_log_level_1"},"s_log",$level,1);
print "<br>\n";
print_bit_checkbox($text{"scan_log_level_2"},"s_log",$level,2);
print "<br>\n";
print_bit_checkbox($text{"scan_log_level_4"},"s_log",$level,4);
print "<br>\n";
print_bit_checkbox($text{"scan_log_level_16"},"s_log",$level,16);
print "<br>\n";
print "		</td></tr>\n";

print_table_footer();

print "</td><td width=10 valign=top>\n";
print "<img src=\"images/null.gif\" width=10 height=1>\n";
print "</td><td width=50% valign=top><br>\n";

print_table_header($text{"scan_disp_sec"},"#scan_disp");

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"scan_disp_output"});
print "		</td><td align=left>\n";
print_editbox("s_out",50,$proscan_conf->{'common'}{'scanner.display'}{'content'}{'OutputFileName'});
print "		</td><td width=100%>\n&nbsp;", &file_chooser_button("s_out", 0);
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"scan_disp_show_level"});
print "		</td><td align=left colspan=2>\n";
$level = $proscan_conf->{'common'}{'scanner.display'}{'content'}{'ShowLevel'};
#print "level=$level<br>\n";
print_bit_checkbox($text{"scan_disp_show_level_1"},"s_show",$level,1);
print "<br>\n";
print_bit_checkbox($text{"scan_disp_show_level_2"},"s_show",$level,2);
print "<br>\n";
print_bit_checkbox($text{"scan_disp_show_level_256"},"s_show",$level,256);
print "<br>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"scan_mail"});
print "		</td><td align=left colspan=2>\n";
print_checkbox("s_mail", $proscan_conf->{'common'}{'scanner.options'}{'content'}{'SendMail'});
print "		</td></tr>\n";

&print_act_element($text{"scan_address"}, "s_addr", 50, $proscan_conf->{'common'}{'scanner.options'}{'content'}{'ReportAddress'});

print "		</td></tr>\n";
print_table_footer();

print "</td></tr>\n";
print "</table>\n";
print "<br>\n";
print "<input type=submit value=Save>\n";
print "</form>\n";


print "<br>\n";
&footer("", $text{'index_return'});


sub print_check_element(){
	my($txt, $var, $val)=@_;
	print "		<tr $section_row_bgcolor><td>\n";
	print_checkbox($var, $val);
	print "		</td><td nowrap width=100% colspan=2>\n";
	print_opt_name($txt);
	print "		</td></tr>\n";
}

sub print_act_element(){
	my($txt, $var, $size, $val)=@_;
	print "		<tr $section_row_bgcolor><td nowrap>\n";
	print_opt_name($txt);
	print "		</td><td nowrap width=100% colspan=2>\n";
	print_editbox($var, $size, $val);
	print "		</td></tr>\n";
}
