#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&ReadParse();
$proscan_config_file=$config{'proscan_conf'};
&lock_file($proscan_config_file);

$proscan_conf = get_config();
$proscan_conf->{'common'}{'scanner.options'}{'order'} = $order++ unless $proscan_conf->{'common'}{'scanner.options'}{'order'};
$proscan_conf->{'common'}{'scanner.object'}{'order'} = $order++ unless $proscan_conf->{'common'}{'scanner.object'}{'order'};
$proscan_conf->{'common'}{'scanner.report'}{'order'} = $order++ unless $proscan_conf->{'common'}{'scanner.report'}{'order'};
$proscan_conf->{'common'}{'scanner.display'}{'order'} = $order++ unless $proscan_conf->{'common'}{'scanner.display'}{'order'};

$proscan_conf->{'common'}{'scanner.options'}{'content'}{'Recursion'}=get_bool(\%in, "s_rec");
$proscan_conf->{'common'}{'scanner.options'}{'content'}{'Symlink'}=get_bool(\%in, "s_sym");
$proscan_conf->{'common'}{'scanner.options'}{'content'}{'SendMail'}=get_bool(\%in, "s_mail");
$proscan_conf->{'common'}{'scanner.options'}{'content'}{'ReportAddress'}=$in{'s_addr'};
$proscan_conf->{'common'}{'scanner.options'}{'content'}{'SaveDirectory'}=$in{'s_save'};

$proscan_conf->{'common'}{'scanner.options'}{'content'}{'MaxScanTime'}=$in{'s_time'};
$proscan_conf->{'common'}{'scanner.options'}{'content'}{'MaxRecursion'}=$in{'s_mrec'};
$proscan_conf->{'common'}{'scanner.options'}{'content'}{'MaxSize'}=$in{'s_msize'};
$proscan_conf->{'common'}{'scanner.options'}{'content'}{'MaxRatio'}=$in{'s_mrat'};
$proscan_conf->{'common'}{'scanner.options'}{'content'}{'ReadTimeout'}=$in{'s_rt'};
$proscan_conf->{'common'}{'scanner.options'}{'content'}{'MaxCheckLevel'}=$in{'limit_recu'};
$proscan_conf->{'common'}{'scanner.options'}{'content'}{'ArchiveScan'}=get_bool(\%in, "s_archive");
$proscan_conf->{'common'}{'scanner.options'}{'content'}{'MailboxScan'}=get_bool(\%in, "s_mailbox");
$proscan_conf->{'common'}{'scanner.options'}{'content'}{'RepairFile'}=get_bool(\%in, "repair");

$proscan_conf->{'common'}{'scanner.object'}{'content'}{'ExcludeMask'}=$in{'s_excl'};
$proscan_conf->{'common'}{'scanner.object'}{'content'}{'IncludeMask'}=$in{'s_incl'};
$proscan_conf->{'common'}{'scanner.object'}{'content'}{'ScanLevel'}=&get_multi_check(\%in, "s_level");
$proscan_conf->{'common'}{'scanner.object'}{'content'}{'MatchAction'}=$in{'s_act'};

$proscan_conf->{'common'}{'scanner.report'}{'content'}{'ReportFileName'}=$in{'s_log_f'};
$proscan_conf->{'common'}{'scanner.report'}{'content'}{'ReportLevel'}=&get_multi_check(\%in, "s_log");

$proscan_conf->{'common'}{'scanner.display'}{'content'}{'OutputFileName'}=$in{'s_out'};
$proscan_conf->{'common'}{'scanner.display'}{'content'}{'ShowLevel'}=&get_multi_check(\%in, "s_show");

&put_config($proscan_conf);
&unlock_file($proscan_config_file);
&redirect("file_scan_edit.cgi");

sub get_multi_check {
    my($ref,$val) = @_;
    my(@multi,$num);
    @multi = split(/\x00/,$ref->{$val});
    $num = 0;
    foreach (@multi) {
        $num += $_;
    }
    return $num;
}
