#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&ReadParse();

if( !(exists($in{'grp_id'})&& $in{'grp_id'} ne "") ){
	&redirect("mailscan_grp_list.cgi");
}

$gr_name=$in{'grp_id'};

$proscan_config_file=$config{'proscan_conf'};
&lock_file($proscan_config_file);

$proscan_conf = get_config();

if( exists($in{'sub_edit'}) ){
	&unlock_file($proscan_config);
	&redirect("user_edit.cgi?grp_id=$gr_name&user_file=$in{'user_file'}");
} elsif( exists($in{'sub_save'}) ) {
    $proscan_conf->{$gr_name}{'smtpscan.group'}{'order'}=$order unless $proscan_conf->{$gr_name}{'smtpscan.group'}{'order'};
    
    $proscan_conf->{$gr_name}{'smtpscan.group'}{'content'}{'Check'}=get_bool(\%in, "g_check");
    $proscan_conf->{$gr_name}{'smtpscan.group'}{'content'}{'AdminAddress'}=$in{'g_admin'};
    
    $domain=$in{'domains'};
    $domain=get_textarea_list($domain,",");
    $proscan_conf->{$gr_name}{'smtpscan.group'}{'content'}{'Domains'}=$domain;
    
    $sndr=$in{'sndr_mask'};
    $sndr=get_textarea_list($sndr,",");
    $proscan_conf->{$gr_name}{'smtpscan.group'}{'content'}{'Senders'}=$sndr;
    
    $rcpt=$in{'rcpt_mask'};
    $rcpt=get_textarea_list($rcpt,",");
    $proscan_conf->{$gr_name}{'smtpscan.group'}{'content'}{'Recipients'}=$rcpt;
    
    $proscan_conf->{$gr_name}{'smtpscan.group'}{'content'}{'Users'}=$in{'user_file'};
    
    &put_config($proscan_conf);
    &unlock_file($proscan_config_file);
    &redirect("group_main_edit.cgi?grp_id=$in{'grp_id'}");
}
