#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti=Virus for Mailserver settings
require './proscan-lib.pl';

&header($text{'mailscan_locale_title'}, "");

$proscan_conf = get_config();

print "<br>\n";
print "<form method=POST action=mailscan_locale_save.cgi>\n";
print "<table border=0 width=100% cellpadding=0 cellspacing=0><tr><td valign=top>\n";

print_table_header($text{"mailscan_locale_sec"},"#mailscan_local");

&print_locale_element($text{"mailscan_locale_pwd"},"l_pwd",$proscan_conf->{'common'}{'locale'}{"content"}{'ProtectedMessage'});
&print_locale_element($text{"mailscan_locale_sus"},"l_sus",$proscan_conf->{'common'}{'locale'}{"content"}{'SuspiciousMessage'});
&print_locale_element($text{"mailscan_locale_inf"},"l_inf",$proscan_conf->{'common'}{'locale'}{"content"}{'InfectedMessage'});
&print_locale_element($text{"mailscan_locale_err"},"l_err",$proscan_conf->{'common'}{'locale'}{"content"}{'ErrorMessage'});
&print_locale_element($text{"mailscan_locale_oth"},"l_oth",$proscan_conf->{'common'}{'locale'}{"content"}{'OtherMessage'});
&print_locale_element($text{"mailscan_locale_fil"},"l_fil",$proscan_conf->{'common'}{'locale'}{"content"}{'FilteredMessage'});

print_table_footer();


print "</td></tr>\n";
print "</table>\n";
print "<br>\n";
print "<input type=submit value=Save>\n";
print "</form>\n";


print "<br>\n";
&footer("mail_scan_index.cgi", $text{'mailscan_return'});


sub print_locale_element(){
	my($txt, $var, $val)=@_;
	print "		<tr $section_row_bgcolor><td nowrap>\n";
	&print_opt_name($txt);
	print "		</td><td width=100%>\n";
	&print_editbox($var,80,$val);
	print "		</td></tr>\n";
}

