#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Kaspersky/Promark for MS settings
require './proscan-lib.pl';


&foreign_require("proc", "proc-lib.pl");

&ReadParse();

if( !exists($in{'c_id'}) ){
	&redirect("component_list.cgi");
}

$proscan_conf = get_config();

$c_id=$in{'c_id'};


#$path = $config{'tmp_exec_path'};
#$path =~s/\/$//;
#$out_file = $path."/".$binaries[$c_id]{disp};
$out_file = $proscan_conf->{'common'}{$binaries[$c_id]{log_sec}}{"content"}{$binaries[$c_id]{log_name}};

&header(text("module_log_title", $binaries[$c_id]{name}),"");

print "<table vspace=2 border=0 cellpadding=0 cellspacing=0>\n";
print "	<tr><td>\n";

print "<p>&nbsp;\n<form action=module_log.cgi style='margin-left:1em'>\n";
print "<input type=hidden name=c_id value='$c_id'>\n";

$lines = $in{'lines'} ? int($in{'lines'}) : 20;
$filter = $in{'filter'} ? quotemeta($in{'filter'}) : "";
$log_offset= exists($in{'offset'}) ? int($in{'offset'}) : -1;
	
print &text('module_log_header', "<input name=lines size=3 value='$lines'>",
		    "<tt>".$out_file."</tt>"),"\n";

print "<br>\n";
print &text('module_log_filter', "<input name=filter size=15 value='$in{'filter'}'>"),"\n";
print "&nbsp;&nbsp;\n";
print "<input type=submit value='$text{'module_log_refresh'}'><br>\n";

print "<hr>\n";

$| = 1;
print "<pre>";
if ($filter ne "") {
		# Are we supposed to filter anything? Then use grep.
		$got = &foreign_call("proc", "safe_process_exec",
			"cat $out_file | grep $filter | tail -$lines",
			0, 0, STDOUT, undef, 1);
} else {
	if( $log_offset==-1 ){
		$got = &foreign_call("proc", "safe_process_exec",
			"tail -$lines $out_file", 
			0, 0, STDOUT, undef, 1);
	}else{
		$got = print_part_of_logfile($out_file, $log_offset, $lines);
	}
}
print "<i>$text{'module_log_empty'}</i>\n" if (!$got);
print "</pre>\n";
print "<hr></form>\n";
print "</td></tr>\n";
print "</table>\n";

&footer("module_list.cgi", $text{'module_list_return'});
exit;



sub print_part_of_logfile
{
	my($out_file, $log_offset, $lines) = @_;
	$line = 0;
	if(-e $out_file){
		open(FH,"$out_file") or die "Cannot open log file: $!";
		seek FH,$log_offset,0;
		while( $string=<FH> ){
			print "$string";
			$line++;
			last if($line==$lines);
		}
		close FH;
	}
	return $line;
}



























$path = $config{'tmp_exec_path'};
$path =~s/\/$//;
$out_file = $path."/".$binaries[$c_id]{disp};

&header(text("module_log_title", $binaries[$c_id]{name}), "",
	undef, undef, undef, undef, undef, "<META HTTP-EQUIV=\"refresh\" content=\"10\">");

#print "$list_size\n";
print "<br>\n";
print "<table vspace=2 border=0 cellpadding=0 cellspacing=0>\n";
print "	<tr><td>For more info, please wait. Page will be refreshed automatically each 10 seconds.</td></tr>\n";
print "	<tr><td align=center>\n";
print "		<textarea name=conf rows=15 cols=60>\n";

open(LOG,"$out_file") or die "Cannot open startup log file: $!";
while($line=<LOG>){
	if( $line =~ /\r(.*?)\r(.*?)$/ ){
		if( $2 ne "" ){
			print $2."\n";
		} else {
			print $line;
		}
	}else{
		print $line;
	}
}
close LOG;

print "</textarea></td></tr>\n";
print "</table>\n";
print "<br>\n";

print "<br>\n";
&footer("module_list.cgi", $text{'module_list_return'});

