#!/usr/bin/perl
# index.cgi
# Display a list of all ProScan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&ReadParse();
$proscan_config_file=$config{'proscan_config'};
&lock_file($proscan_config_file);

$proscan_conf = get_config();
$proscan_conf->{'common'}{'aveserver'}{'order'} = $order unless $proscan_conf->{'common'}{'aveserver'}{'order'};

@multi = split(/\x00/,$in{'loglevel'});
$loglevel = 0;
foreach $l (@multi) {
    $loglevel += $l;
}

$num = $in{'scanners'};
$num = 80 if $num > 80;

$proscan_conf->{'common'}{'aveserver'}{'content'}{'ExecUser'}=$in{'user'};
$proscan_conf->{'common'}{'aveserver'}{'content'}{'ProxyMode'}=get_bool(\%in,"proxy");
$proscan_conf->{'common'}{'aveserver'}{'content'}{'ProxyScanners'}=$num;
$proscan_conf->{'common'}{'aveserver'}{'content'}{'ReportFileName'}=$in{'r_file'};
$proscan_conf->{'common'}{'aveserver'}{'content'}{'ReportLevel'}=$loglevel;

&put_config($proscan_conf);
&unlock_file($proscan_config_file);

&redirect("ave_edit.cgi");


