#!/usr/bin/perl
# index.cgi
# Display a list of all ProScan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&header($text{'gnrl_title'}, "");

$proscan_conf = get_config();

print "<br>\n";
print "<form method=GET action=general_save.cgi>\n";
print "<table border=0 width=100% cellpadding=0 cellspacing=0><tr><td valign=top>\n";

print_table_header($text{"gnrl_opt_sec"},"#general");

&print_path_element($text{"gnrl_keyes_path"},"keys_path",$proscan_conf->{'common'}{'path'}{"content"}{'LicensePath'}, 1,0);
&print_path_element($text{"gnrl_lsoc_path"},"lsoc_path",$proscan_conf->{'common'}{'path'}{"content"}{'LocalSocketPath'}, 1,0);
&print_path_element($text{"gnrl_tmp_path"},"tmp_path",$proscan_conf->{'common'}{'path'}{"content"}{'TempPath'}, 1,0);
&print_path_element($text{"gnrl_domain_file"},"domain_file",$proscan_conf->{'common'}{'path'}{"content"}{'DomainList'}, 0,1);
&print_path_element($text{"gnrl_usr_file"},"usr_file",$proscan_conf->{'common'}{'path'}{"content"}{'UserFile'}, 0,0);
&print_path_element($text{"gnrl_wget_file"},"wget_file",$proscan_conf->{'common'}{'path'}{"content"}{'WgetPath'}, 0,0);

print "		<tr $section_row_bgcolor><td nowrap>\n";
&print_opt_name($text{"gnrl_date_fmt"});
print "		</td><td>\n";
&print_editbox("d_fmt",30,$proscan_conf->{'common'}{'locale'}{"content"}{'DateFormat'});
print "		</td><td width=100%>\n&nbsp;", &date_format_button("d_fmt", "%d", "Day");
print "&nbsp;", &date_format_button("d_fmt", "%m", "Month");
print "&nbsp;", &date_format_button("d_fmt", "%Y", "Year");
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
&print_opt_name($text{"gnrl_time_fmt"});
print "		</td><td>\n";
&print_editbox("t_fmt",30,$proscan_conf->{'common'}{'locale'}{"content"}{'TimeFormat'});
print "		</td><td width=100%>\n&nbsp;", &date_format_button("t_fmt", "%I", "12H");
print "&nbsp;", &date_format_button("t_fmt", "%H", "24H");
print "&nbsp;", &date_format_button("t_fmt", "%p", "AM/PM");
print "&nbsp;", &date_format_button("t_fmt", "%M", "Minute");
print "&nbsp;", &date_format_button("t_fmt", "%S", "Sec");
print "		</td></tr>\n";
print_table_footer();


print "</td></tr>\n";
print "</table>\n";
print "<br>\n";
print "<input type=submit value=Save name=sub_save>\n";
print "</form>\n";


print "<br>\n";
&footer("", $text{'index_return'});


sub print_path_element(){
	my($txt, $var, $val, $is_dir,$edit)=@_;
	print "		<tr $section_row_bgcolor><td nowrap>\n";
	&print_opt_name($txt);
	print "		</td><td>\n";
	&print_editbox($var,60,$val);
	print "		</td><td width=100%>\n&nbsp;",&file_chooser_button($var, $is_dir);
	print "		&nbsp;<input type=submit value=Edit name=sub_edit>\n" if $edit;
	print "		</td></tr>\n";
}

sub print_date_select(){
	my( $var_name, $size, $select) = @_;
	print "&nbsp;<SELECT size=$size name=$var_name>\n";
	for ($i = 0; $i < @date_fmt; $i++) {
		print "	<OPTION value=$i";
		if( $i==$select ){
			print(" selected");
		}
		print ">$date_fmt[$i]{name}\n";
	}
	print "</SELECT>\n";
}

sub date_format_button{
	my($var, $add_str, $button_text) = @_;
	return "<input type=button onClick='document.forms[0].$var.value += \"$add_str\";' value=\"$button_text\">";
}
