#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&ReadParse();

if( !(exists($in{'grp_id'})&& $in{'grp_id'} ne "") ){
	&redirect("mailscan_grp_list.cgi");
}

$gr_name=$in{'grp_id'};

&header(text("group_action_title","$in{'grp_id'}"), "");

$proscan_conf = get_config();

print "<br>\n";
print "<form method=POST action=group_action_save.cgi>\n";
print "<input type=hidden name=grp_id value=\"$in{'grp_id'}\">\n";
print "<table border=0 width=100% cellpadding=0 cellspacing=0><tr><td valign=top>\n";

print "<table  border=0 cellspacing=1 cellpadding=3 width=100% bgcolor=#FFFFFF>\n";
print "	<tr $tb>\n";
print "		<td align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'group_notify_object'}</b></font></td>\n";
print "		<td colspan=2 align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'group_notify_quarantine'}</b></font></td>\n";
print "		<td align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'group_notify_arul'}</b></font></td>\n";
print "		<td align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'group_notify_srul'}</b></font></td>\n";
print "		<td colspan=2 align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'group_notify_urul'}</b></font></td>\n";
print "		<td align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'group_notify_cond'}</b></font></td>\n";
print "		<td align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'group_notify_delv'}</b></font></td>\n";
print "	</tr>\n";

@action_val=("unchange","delete","remove");
@action_txt=($text{"group_notify_attach"},$text{"group_notify_delete"},$text{"group_notify_remove"});
@deliver_val=("unchange","reject","discard");
@deliver_txt=($text{"group_notify_unchanged"},$text{"group_notify_reject"},$text{"group_notify_discard"});
@notify_val=("sender","recipient","both","none");
@notify_txt=($text{"notify_internal_sender"},$text{"notify_internal_recipient"},$text{"notify_internal_both"},$text{"notify_internal_none"});

&print_notify_rule_str($text{"group_notify_obj_default"}, "dflt", "");
&print_notify_rule_str($text{"group_notify_obj_infected"}, "inf", "infected");
&print_notify_rule_str($text{"group_notify_obj_protected"}, "prot", "protected");
&print_notify_rule_str($text{"group_notify_obj_suspicious"}, "sus", "suspicious");
&print_notify_rule_str($text{"group_notify_obj_filtered"}, "flt", "filtered");
&print_notify_rule_str($text{"group_notify_obj_error"}, "err", "error");
&print_notify_rule_str($text{"group_notify_obj_other"}, "oth", "other");
print "</table>\n";


print "</table>\n";
print "<br>\n";
print "<input type=submit value=Save>\n";
print "</form>\n";


print "<br>\n";
&footer("group_index.cgi?grp_id=$in{'grp_id'}", $text{'group_return'});



sub print_notify_rule_str{
	my($obj_name, $var_pref, $conf_pref) = @_;
	$section = "smtpscan.action";
	if( $conf_pref ne "" ) {
	    $type_section = "$section.$conf_pref";
	} else {
	    $type_section = "$section";
	}
	if( exists($proscan_conf->{$gr_name}{$type_section}{'content'}{'Quarantine'}) ){
		$quarantine=$proscan_conf->{$gr_name}{$type_section}{'content'}{'Quarantine'};
	} else {
		$quarantine=$proscan_conf->{$gr_name}{$section}{'content'}{'Quarantine'};
	}

	if( exists($proscan_conf->{$gr_name}{$type_section}{'content'}{'QuarantinePath'}) ){
		$q_path=$proscan_conf->{$gr_name}{$type_section}{'content'}{'QuarantinePath'};
	} else {
		$q_path=$proscan_conf->{$gr_name}{$section}{'content'}{'QuarantinePath'};
	}

	if( exists($proscan_conf->{$gr_name}{$type_section}{'content'}{'AdminNotify'}) ){
		$admin_notify=$proscan_conf->{$gr_name}{$type_section}{'content'}{'AdminNotify'};
	} else {
		$admin_notify=$proscan_conf->{$gr_name}{$section}{'content'}{'AdminNotify'};
	}

	if( exists($proscan_conf->{$gr_name}{$type_section}{'content'}{'SenderNotify'}) ){
		$sender_notify=$proscan_conf->{$gr_name}{$type_section}{'content'}{'SenderNotify'};
	} else {
		$sender_notify=$proscan_conf->{$gr_name}{$section}{'content'}{'SenderNotify'};
	}

	if( exists($proscan_conf->{$gr_name}{$type_section}{'content'}{'RecipientNotify'}) ){
		$rcpt_notify=$proscan_conf->{$gr_name}{$type_section}{'content'}{'RecipientNotify'};
	} else {
		$rcpt_notify=$proscan_conf->{$gr_name}{$section}{'content'}{'RecipientNotify'};
	}

	if( exists($proscan_conf->{$gr_name}{$type_section}{'content'}{'RecipientAttachReport'}) ){
		$rcpt_attach=$proscan_conf->{$gr_name}{$type_section}{'content'}{'RecipientAttachReport'};
	} else {
		$rcpt_attach=$proscan_conf->{$gr_name}{$section}{'content'}{'RecipientAttachReport'};
	}

	if( exists($proscan_conf->{$gr_name}{$type_section}{'content'}{'RecipientAction'}) ){
		$rcpt_action=$proscan_conf->{$gr_name}{$type_section}{'content'}{'RecipientAction'};
	} else {
		$rcpt_action=$proscan_conf->{$gr_name}{$section}{'content'}{'RecipientAction'};
	}

	if( exists($proscan_conf->{$gr_name}{$type_section}{'content'}{'NotifyInternalOnly'}) ){
		$notify_cond=$proscan_conf->{$gr_name}{$type_section}{'content'}{'NotifyInternalOnly'};
	} else {
		$notify_cond=$proscan_conf->{$gr_name}{$section}{'content'}{'NotifyInternalOnly'};
	}
	$notify_cond="none" if $notify_cond eq "";

	print "	<tr $section_row_bgcolor>\n";
	print "		<td align=center>";
	print_opt_name($obj_name);
	print "</td>\n";
	print "		<td align=center>";
	print_checkbox($var_pref."_qr", $quarantine);
	print "</td><td>\n";
	print_editbox($var_pref."_qpath",40,$q_path);
	print "		&nbsp;", &file_chooser_button($var_pref."_qpath", 0);
	print "</td>\n";
	print "		<td align=center>";
	print_checkbox($var_pref."_admn", $admin_notify);
	print "</td>\n";
	print "		<td align=center>";
	print_checkbox($var_pref."_sndn", $sender_notify);
	print "</td>\n";
	print "		<td align=center>";
	print_checkbox($var_pref."_rpcn", $rcpt_notify);
	print "</td><td>\n";
	print_select($var_pref."_attach", 1, \@action_val, \@action_txt, $rcpt_attach);
	print "</td>\n";
	print "		<td align=center>";
	print_select($var_pref."_cond", 1, \@notify_val, \@notify_txt, $notify_cond);
	print "</td>\n";
	print "		<td align=center>";
	print_select($var_pref."_ract", 1, \@deliver_val, \@deliver_txt, $rcpt_action);
	print "</td></tr>\n";
}
