#!/usr/bin/perl
# group_spam_edit.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&ReadParse();

if( !(exists($in{'grp_id'})&& $in{'grp_id'} ne "") ){
	&redirect("mailscan_grp_list.cgi");
}

$gr_name=$in{'grp_id'};

&header(text("group_spam_title","$in{'grp_id'}"), "");

$proscan_conf = get_config();

print "<br>\n";
print "<form method=POST action=group_spam_save.cgi>\n";
print "<input type=hidden name=grp_id value=\"$in{'grp_id'}\">\n";
print "<input type=hidden name=section value=\"smtpscan.spam_notify\">\n";
print "<table border=0 width=100% cellpadding=0 cellspacing=0>\n";
print "<tr><td colspan=3 valign=top>\n";

print_table_header($text{"group_gnrl_sec"},"#groups_spam");

&print_check_element($text{"group_spam_check"}, "spam_check", $proscan_conf->{$gr_name}{"smtpscan.group"}{'content'}{'SpamCheck'});

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"group_drac_db"});
print "		</td><td colspan=2>\n";
print_editbox("drac_db",50,$proscan_conf->{$gr_name}{"smtpscan.spam"}{'content'}{'DracDB'});
print "		&nbsp;";
&file_chooser_button("drac_db", 0);
print "		</td></tr>\n";

&print_check_element($text{"group_gray_check"}, "gray_check", $proscan_conf->{$gr_name}{"smtpscan.spam"}{'content'}{'GrayCheck'});

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"group_lightgray_list"});
print "		</td><td colspan=2>\n";
print_editbox("lightgray_list",50,$proscan_conf->{'common'}{"path"}{'content'}{'LightGrayList'});
print "		&nbsp;";
file_chooser_button("lightgray_list", 0);
print "		&nbsp;";
print_opt_name($text{"group_common_setting"});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"group_darkgray_list"});
print "		</td><td colspan=2>\n";
print_editbox("darkgray_list",50,$proscan_conf->{'common'}{"path"}{'content'}{'DarkGrayList'});
print "		&nbsp;";
file_chooser_button("darkgray_list", 0);
print "		&nbsp;";
print_opt_name($text{"group_common_setting"});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"group_s25r_list"});
print "		</td><td colspan=2>\n";
print_editbox("s25r_list",50,$proscan_conf->{'common'}{"path"}{'content'}{'S25RWhiteList'});
print "		&nbsp;";
&file_chooser_button("s25r_list", 0);
print "		&nbsp;";
print_opt_name($text{"group_common_setting"});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"group_spam_check_time"});
print "		</td><td colspan=2>\n";
print_editbox("spam_check_time",10,$proscan_conf->{'common'}{"smtpscan.limits"}{'content'}{'SpamCheckTime'});
print "		&nbsp;";
print_opt_name($text{"group_common_setting"});
print "		</td></tr>\n";
&print_check_element($text{"group_rbl_check"}, "rbl_check", $proscan_conf->{$gr_name}{"smtpscan.spam"}{'content'}{'RBLcheck'});

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"group_rbl"});
print "		</td><td colspan=2>\n";
print "		<textarea rows=8 cols=50 name=rbl>\n";
$rblhost=$proscan_conf->{$gr_name}{"smtpscan.spam"}{'content'}{'RBLHostName'};
$rblhost=~s/,/\n/g;
print $rblhost;
print "</textarea>\n";
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"group_subject_check"});
print "		</td><td colspan=2>\n";
print "		<textarea rows=8 cols=50 name=subject_check>\n";
$sub=$proscan_conf->{$gr_name}{"smtpscan.spam"}{'content'}{'SubjectCheck'};
$sub=~s/,/\n/g;
print $sub;
print "</textarea>\n";
print "		</td></tr>\n";

print_table_footer();
print "</td></tr>\n";

print "<tr><td colspan=3 valign=top><br>\n";
print_table_header($text{"group_spam_wbl"},"#groups_main_domain");

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"group_wbl_accept"});
print "		</td><td colspan=2>\n";
print "		<textarea rows=8 cols=50 name=wbl_accept>\n";
$accept=$proscan_conf->{$gr_name}{"smtpscan.spam"}{'content'}{'WBLAccept'};
$accept=~s/,/\n/g;
print $accept;
print "</textarea>\n";
print "		</td></tr>\n";
print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"group_wbl_reject"});
print "		</td><td colspan=2>\n";
print "		<textarea rows=8 cols=50 name=wbl_reject>\n";
$reject=$proscan_conf->{$gr_name}{"smtpscan.spam"}{'content'}{'WBLReject'};
$reject=~s/,/\n/g;
print $reject;
print "</textarea>\n";
print "		</td></tr>\n";

print_table_footer();
print "</td></tr>\n";

print "<tr><td colspan=3 valign=top><br>\n";
print_table_header($text{"group_spam_action"},"#groups_main_domain");

print "<table  border=0 cellspacing=1 cellpadding=3 width=100% bgcolor=#FFFFFF>\n";
print "	<tr $tb>\n";
print "		<td align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'group_spam_level'}</b></font></td>\n";
print "		<td align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'group_mail_modify'}</b></font></td>\n";
print "		<td align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'group_spam_deliver'}</b></font></td>\n";
print "		<td align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'group_spam_notify'}</b></font></td>\n";
print "		<td align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'group_spam_save'}</b></font></td>\n";
print "	</tr>\n";

&print_notify_rule_str($text{"group_spam_low"}, "spam_low", "low");
##&print_notify_rule_str($text{"group_spam_medium"}, "spam_medium", "medium");
&print_notify_rule_str($text{"group_spam_high"}, "spam_high", "high");

print_table_footer();
print "</td></tr>\n";

print "<script>function temp_edit(F,S) { F.section.value=S;F.submit(); }</script>\n";

print "<tr><td colspan=3 valign=top><br>\n";
print_table_header($text{"group_spam_notify_setting"},"#groups_main_domain");

&print_notify_str($text{"group_spam_default"}, "spam_default", "default");
&print_notify_str($text{"group_spam_low"}, "spam_low", "low");
##&print_notify_str($text{"group_spam_medium"}, "spam_medium", "medium");
&print_notify_str($text{"group_spam_high"}, "spam_high", "high");

print_table_footer();
print "</td></tr>\n";

print "<tr><td colspan=3 valign=top><br>\n";
print_table_header($text{"group_spam_locale"},"#groups_main_domain");

print "		<tr $section_row_bgcolor><td>\n";
print_opt_name($text{"group_spam_low"});
print "		</td><td align=left width=100%>\n";
print_editbox("low_msg",50,$proscan_conf->{'common'}{'locale'}{'content'}{'SpamLowMessage'});
print "		&nbsp;";
print_opt_name($text{"group_common_setting"});
print "		</td></tr>\n";

#print "		<tr $section_row_bgcolor><td nowrap>\n";
#print_opt_name($text{"group_spam_medium"});
#print "		</td><td align=left>\n";
#print_editbox("medium_msg",50,$proscan_conf->{'common'}{'locale'}{'content'}{'SpamMediumMessage'});
#print "		&nbsp;";
print_opt_name($text{"group_common_setting"});
#print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"group_spam_high"});
print "		</td><td align=left>\n";
print_editbox("high_msg",50,$proscan_conf->{'common'}{'locale'}{'content'}{'SpamHighMessage'});
print "		&nbsp;";
print_opt_name($text{"group_common_setting"});
print "		</td></tr>\n";

print_table_footer();
print "</td></tr>\n";

print "</table>\n";
print "<br>\n";
print "<input type=submit value=Save name=sub_save>\n";
print "</form>\n";

print "<br>\n";
&footer("group_index.cgi?grp_id=$in{'grp_id'}", $text{'group_return'});


sub print_check_element(){
	my($txt, $var, $val)=@_;
	print "		<tr $section_row_bgcolor><td nowrap>\n";
	print_opt_name($txt);
	print "		</td><td nowrap width=100% colspan=2>\n";
	print_checkbox($var, $val);
	print "		</td></tr>\n";
}

sub print_notify_rule_str{
	my($obj_name, $var_pref, $conf_pref) = @_;
	$section = "smtpscan.spam_action.$conf_pref";
	$addHeader=$proscan_conf->{$gr_name}{$section}{'content'}{'AddHeader'};
	$addSubject=$proscan_conf->{$gr_name}{$section}{'content'}{'AddSubject'};
	$deliver=$proscan_conf->{$gr_name}{$section}{'content'}{'Deliver'};
	$notify=$proscan_conf->{$gr_name}{$section}{'content'}{'Notify'};
	$save=$proscan_conf->{$gr_name}{$section}{'content'}{'Save'};
	$save_path=$proscan_conf->{$gr_name}{$section}{'content'}{'SavePath'};

	print "	<tr $section_row_bgcolor>\n";
	print "		<td align=center nowrap>";
	print_opt_name($obj_name);
	print "</td>\n";
	print "		<td>\n";
	print "<table boder=0 $section_row_bgcolor><tr><td>";
	print_opt_name($text{'group_spam_add_header'});
	print "</td><td>\n";
	print_editbox("${var_pref}_add_header",50,$addHeader);
	print "</td></tr><tr><td>";
	print_opt_name($text{'group_spam_add_subject'});
	print "</td><td>\n";
	print_editbox("${var_pref}_add_subject",50,$addSubject);
	print "</td></tr></table>\n";
	print "</td>\n";
	print "		<td align=center>";
	print_checkbox("${var_pref}_deliver", $deliver);
	print "</td>\n";
	print "		<td align=center>";
	print_checkbox("${var_pref}_notify", $notify);
	print "</td>\n";
	print "		<td align=center>";
	print_checkbox("${var_pref}_save", $save);
	print "&nbsp;";
	print_editbox("${var_pref}_save_path",40,$save_path);
	print "		&nbsp;", &file_chooser_button("${var_pref}_save_path", 0);
	print "</td></tr>\n";
}

sub print_notify_str {
	my($obj_name, $var_pref, $conf_pref) = @_;
	if($conf_pref eq 'default') {
	    $sec = 'smtpscan.spam_notify';
	} else {
	    $sec = 'smtpscan.spam_notify.'.$conf_pref;
	}
	
	print "		<tr $section_row_bgcolor><td rowspan=4 nowrap>\n";
	print_opt_name($obj_name);
	print "		</td>\n";
	
	print "		<td>\n";
	print_opt_name($text{"group_notify_opt_subj"});
	print "		</td><td align=left width=100%>\n";
	$subject = $proscan_conf->{$gr_name}{$sec}{'content'}{'Subject'};
	print_editbox("${var_pref}_n_subj",100,$subject);
	print "		</td></tr>\n";
	
	print "		<tr $section_row_bgcolor><td>\n";
	print_opt_name($text{"group_notify_opt_charset"});
	print "		</td><td align=left>\n";
	print_select("${var_pref}_n_chrset", 1, \@charset_types, \@charset_types, 
		 $proscan_conf->{$gr_name}{$sec}{'content'}{'Charset'});
	print "		</td></tr>\n";
	
	print "		<tr $section_row_bgcolor><td nowrap>\n";
	print_opt_name($text{"group_notify_opt_type"});
	print "		</td><td align=left>\n";
	print_editbox("${var_pref}_n_type",20,$proscan_conf->{$gr_name}{$sec}{'content'}{'ContentType'});
	print "		</td></tr>\n";
	
	print "		<tr $section_row_bgcolor><td>\n";
	print_opt_name($text{"group_notify_opt_template"});
	print "		</td><td align=left nowrap>\n";
	print_editbox("${var_pref}_n_templ",70,$proscan_conf->{$gr_name}{$sec}{'content'}{'Template'});
	print "&nbsp;",	&file_chooser_button("${var_pref}_n_templ", 0), "&nbsp;";
	print qq(		&nbsp;<input type=submit name=templ_edit_${conf_pref} value=Edit>\n);
	print "		</td></tr>\n";
}
