#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&ReadParse();
$proscan_config_file=$config{'proscan_conf'};
&lock_file($proscan_config_file);

$proscan_conf = get_config();
$proscan_conf->{'common'}{'smtpscan.general'}{'order'}=$order++ unless $proscan_conf->{'common'}{'smtpscan.general'}{'order'};
$proscan_conf->{'common'}{'smtpscan.report'}{'order'}=$order++ unless $proscan_conf->{'common'}{'smtpscan.report'}{'order'};
$proscan_conf->{'common'}{'smtpscan.limits'}{'order'}=$order++ unless $proscan_conf->{'common'}{'smtpscan.limits'}{'order'};
$proscan_conf->{'common'}{'smtpscan.license'}{'order'}=$order++ unless $proscan_conf->{'common'}{'smtpscan.license'}{'order'};

@multi = split(/\x00/,$in{'loglevel'});
$loglevel = 0;
foreach $l (@multi) {
    $loglevel += $l;
}

$proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'ForwardMailer'}=$in{'fwmailer'};
$proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'NotifyFromAddress'}=$in{'from_addr'};
$proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'SupervisorAddress'}=$in{'sv_addr'};
$proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'LibmilterSocket'}=$in{'milter_socket'};
$proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'QmailLocalCheck'}=get_bool(\%in,"ql_check");
$proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'GatewayIP'}=$in{'gateway_ip'};
$proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'DHACheck'}=get_bool(\%in,"dha_check");
$proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'DHALimit'}=$in{'dha_limit'};
$proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'DHAAction'}=$in{'dha_action'};
$proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'RecipientsFile'}=$in{'rcpt_file'};
$proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'RepairFile'}=get_bool(\%in,"repair");

$proscan_conf->{'common'}{'smtpscan.license'}{'content'}{'LicenseWarningNotifyAddress'}=$in{'lwn_addr'};
$proscan_conf->{'common'}{'smtpscan.license'}{'content'}{'LicenseWarningNotifyDays'}=$in{'lwn_days'};
$proscan_conf->{'common'}{'smtpscan.license'}{'content'}{'LicenseWarningNotifyUsers'}=$in{'lwn_users'};
$proscan_conf->{'common'}{'smtpscan.license'}{'content'}{'LicenseWarningNotifySendTime'}=$in{'lwn_sendtime'};
$proscan_conf->{'common'}{'smtpscan.license'}{'content'}{'DomainCheck'}=get_bool(\%in,"dom_check");
$proscan_conf->{'common'}{'smtpscan.license'}{'content'}{'LicenseCountType'}=$in{'lic_cnt'};

$syslog = $in{'syslog'};
if($syslog eq "1") {
    $log = "syslog";
} else {
    $log = $in{'r_file'};
}
$proscan_conf->{'common'}{'smtpscan.report'}{'content'}{'ReportFileName'}=$log;
$proscan_conf->{'common'}{'smtpscan.report'}{'content'}{'Facility'}=$in{'facility'};
$proscan_conf->{'common'}{'smtpscan.report'}{'content'}{'Priority'}=$in{'priority'};
$proscan_conf->{'common'}{'smtpscan.report'}{'content'}{'ReportLevel'}=$loglevel;

$proscan_conf->{'common'}{'smtpscan.limits'}{'content'}{'Timeout'}=$in{'timeout'};
$proscan_conf->{'common'}{'smtpscan.limits'}{'content'}{'MaxCheckTime'}=$in{'max_time'};
$proscan_conf->{'common'}{'smtpscan.limits'}{'content'}{'MaxRecipient'}=$in{'max_rcpt'};
$proscan_conf->{'common'}{'smtpscan.limits'}{'content'}{'MaxConnectTime'}=$in{'max_connect'};
$proscan_conf->{'common'}{'smtpscan.limits'}{'content'}{'MaxRecursion'}=$in{'max_recursion'};
$proscan_conf->{'common'}{'smtpscan.limits'}{'content'}{'MaxArchiveSize'}=$in{'max_size'};
$proscan_conf->{'common'}{'smtpscan.limits'}{'content'}{'SpamCheckTime'}=$in{'spam_check_time'};
$nnosnd=$in{'nnosnd'};
$nnosnd=get_textarea_list($nnosnd,",");
$proscan_conf->{'common'}{'smtpscan.limits'}{'content'}{'NotSendNotifyTo'}=$nnosnd;

&put_config($proscan_conf);
&unlock_file($proscan_config_file);
&redirect("mailscan_misc_edit.cgi");

